#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.4.4"
SHA1SUM="ccd38171f9850ce8e88e26b1c03dffd760854cc1"
URL="ftp://ftp.netperf.org/netperf"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
##################################################

download_bz2 netperf &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/netperf-${VERSION}.tar.bz2 &&
cd netperf-${VERSION} &&

# remove setpgrp check due to cross-compilation incompatibility
sed -e '7062,7133d' -i configure

CC="${CC} -Os -fPIC" ./configure --host=${CROSS_TARGET} --target=${CROSS_TARGET} --prefix=/ --libdir=/lib --disable-largefile &&
make &&

cp src/netperf src/netserver ../target/sbin/ &&

cd ${BUILDDIR} &&
rm -rf netperf-${VERSION}
