#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.0"
SHA1SUM="d9972fd5ddd5ba7bc666b4a08b117b9e65623d31"
URL="http://www.iam.unibe.ch/~morgenth/adam"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS=""
##################################################

download_bz2 pearfiles &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/pearfiles-${VERSION}.tar.bz2 &&
cd pearfiles-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

patch_src pearfiles &&

mkdir -p ${INSTALLDIR}/usr/share/php/
cp -R * ${INSTALLDIR}/usr/share/php/

cd ${BUILDDIR} &&
rm -rf pearfiles-${VERSION}
 
