#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.14.0"
#VERSION="0.10.0"
SHA1SUM="1220f44bfe22cd4ec4cc20d9accb9a809ab8b75c"
#SHA1SUM="772e956a005ecba27d75561be308a88023d2766b"
URL="http://www.cairographics.org/releases"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz pixman &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/pixman-${VERSION}.tar.gz &&
cd pixman-${VERSION} &&

patch_src pixman &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig"  CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --disable-gtk &&
#CC="${CC} -Os -fPIC" ./configure --host=`echo ${BOARDTARGET} | sed 's/-uclibc//g'` --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --without-gtk &&
make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf pixman-${VERSION}
