#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

#VERSION="1.14"
#SHA1SUM="af0a7e2b187d600d624515a53d88374c15104e15"
VERSION="1.10.2"
SHA1SUM="6c043f2bea5d0f8458fd4ade10e53260c632bcbd"
URL="http://rpm5.org/files/popt"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz popt &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/popt-${VERSION}.tar.gz &&
cd popt-${VERSION} &&

#patch_src popt &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" CPPFLAGS="-L/home/alixmgmt-builder/target/lib" LDFLAGS="-L/home/alixmgmt-builder/target/lib" CC="${CC} -Os -fPIC" ./configure --host=`echo ${BOARDTARGET} | sed 's/-uclibc//g'` --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib &&
make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR}
rm -rf popt-${VERSION}
libtool --finish /lib