#!/bin/bash
# UniBE, IAM, RVS, Author: ott@iam.unibe.ch
##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="4.5.20"
SHA1SUM="3f5c8874610d7e3d13fc1c8b2e5fb5513468c45a"
URL="http://ignum.dl.sourceforge.net/project/strace/strace/4.5.20/"
BUILD_DEPS="toolchain"
##################################################

download_bz2 strace &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/strace-${VERSION}.tar.bz2 &&
cd strace-${VERSION} &&

CC="${CC} -Os" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib &&

make &&

make DESTDIR=${INSTALLDIR} install &&

rm ${INSTALLDIR}/bin/strace-graph &&

cd ${BUILDDIR} &&
rm -rf strace-${VERSION}
