#!/bin/bash
# UniBE, IAM, RVS, Author: ott@iam.unibe.ch
##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.1.1"
SHA1SUM="73643b3f49b34c4150df4abb793a36792cc68fb7"
URL="http://wireless.kernel.org/download/crda/"
BUILD_DEPS="toolchain libnl libgcrypt"
##################################################

download_bz2 crda &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/crda-${VERSION}.tar.bz2 &&
cd crda-${VERSION} &&

patch_src crda &&

CC="${CC} -Os" REG_BIN="${INSTALLDIR}/lib/crda/regulatory.bin" make &&

make DESTDIR=${INSTALLDIR} install &&

mkdir ${INSTALLDIR}/lib/crda &&
cp -v regulatory.bin ${INSTALLDIR}/lib/crda &&

cd ${BUILDDIR} &&
rm -rf crda-${VERSION}
