#!/bin/bash
# UniBE, IAM, RVS, Author: P.Goode
##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.0"
SHA1SUM="5049524cf6326ea6d86ea75279eea107cdff7131"
URL="http://www.iam.unibe.ch/~morgenth/adam"
# Source was on https://svn2.hosted-projects.com/ansanto/robin/tags/beta/robin_beta-1.3/package/hwatchdog/
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
SUPPORTED_PLATFORMS="om1p"
##################################################

supported hwatchdog &&
download_gz hwatchdog &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/hwatchdog-${VERSION}.tar.gz &&
cd hwatchdog-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

patch_src hwatchdog &&

${CC} -B ${BUILDDIR}/linux/include -Os -fPIC -o hwatchdog hwatchdog.c &&

install -m 755 hwatchdog ${INSTALLDIR}/sbin &&

cd ${BUILDDIR} &&
rm -rf hwatchdog-${VERSION}
