#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

#VERSION="2.22.3"
#SHA1SUM="032f8142b1e41e07740cd91030b1873a0b9c42d2"
#URL="http://ftp.gnome.org/pub/GNOME/sources/librsvg/2.22"
VERSION="2.6.5"
SHA1SUM="edfffbc14463177a122381f53a942d4f316ba48c"
URL="http://ftp.gnome.org/pub/GNOME/sources/librsvg/2.6"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 librsvg &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/librsvg-${VERSION}.tar.bz2 &&
cd librsvg-${VERSION} &&

patch_src librsvg &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" LDFLAGS="-L/home/alixmgmt-builder/target/lib" LIBS="" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --includedir=/usr --disable-gtk-theme --disable-pixbuf-loader --disable-mozilla-plugin --without-x --without-croco --without-svgz --with-pic &&

#PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" LDFLAGS="-L/home/alixmgmt-builder/target/lib" LIBS="" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --includedir=/usr --disable-gtk-theme --disable-pixbuf-loader --disable-mozilla-plugin --without-x --without-croco --without-svgz &&

make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf librsvg-${VERSION}
