#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.3"
SHA1SUM="b9727acdb3c28125a1ca2efcdd2834b62b1c9afe"
URL="http://www.iam.unibe.ch/~morgenth/adam"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="sqlite"
##################################################

download_bz2 marwis &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/marwis-${VERSION}.tar.bz2 &&
cd marwis-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

patch_src marwis &&

${CC} -Os -fPIC -lsqlite -o marwis marwis.c &&

install -m 755 marwis ${INSTALLDIR}/sbin &&
install -m 755 updatedatabase ${INSTALLDIR}/sbin &&

mkdir -p ${INSTALLDIR}/var/www/snsoftware &&
cp -R db ${INSTALLDIR}/var/www/ &&

cd ${BUILDDIR} &&
rm -rf marwis-${VERSION}