#!/bin/bash

# UniBe, IAM, RVS Author: P.Goode
##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.0.0"
SHA1SUM="990408adfab00f7fcdbeebad12f5525fd5c1fe53"
URL="ftp://www.mirrorservice.org/sites/download.sourceforge.net/pub/sourceforge/p/project/pt/ptpd/ptpd/1.0.0/"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################
# For debug output & no daemon version change Makefile for CPPFLAGS DBG

download_gz ptpd &&

cd ${BUILDDIR} &&
env
tar -xzvf ${SRCDIR}/ptpd-${VERSION}.tar.gz &&
cd ptpd-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

patch_src ptpd &&

cd src &&
make  CC="${CC} -Os -fPIC" OS=linux &&
install -m 755 ptpd ${INSTALLDIR}/sbin &&

cd ${BUILDDIR} &&
rm -rf ptpd-${VERSION}
