#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.0"
SHA1SUM="621447fef7695085100e765c052a884ce2b7923c"
URL="http://www.iam.unibe.ch/~anwander/adam"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS=""
##################################################

download_gz serialdump &&

cd ${BUILDDIR} &&
tar -zxf ${SRCDIR}/serialdump-${VERSION}.tar.gz &&
cd serialdump-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

${CC} -Os -fPIC -o serialdump serialdump.c &&

install -m 755 serialdump ${INSTALLDIR}/sbin &&

cd ${BUILDDIR} &&
rm -rf serialdump-${VERSION}
