#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.8.17"
SHA1SUM="75db1cf3b00ea18ae8528e676fc9fdf698e2fe58"
URL="http://www.sqlite.org"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz sqlite &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/sqlite-${VERSION}.tar.gz &&
cd sqlite-${VERSION} &&

patch_src sqlite &&

CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib &&
make &&
make DESTDIR=${INSTALLDIR} install &&
cp -a ${INSTALLDIR}/usr/bin/sqlite ${INSTALLDIR}/sbin &&
cp -a ${INSTALLDIR}/usr/lib/libsqlite.so* ${INSTALLDIR}/lib &&

cd ${BUILDDIR} &&
rm -rf sqlite-${VERSION}
