#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="3.6.7"
SHA1SUM="ca3e14700526d69879e3da6fb65763caa4198037"
URL="http://www.sqlite.org"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz sqlite-amalgamation &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/sqlite-amalgamation-${VERSION}.tar.gz &&
cd sqlite-${VERSION} &&

patch_src sqlite &&

CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib &&
make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR}
#rm -rf sqlite-${VERSION}
