#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.0"
SHA1SUM="7680a52b41ab9f4930fec9544d54de5365c0b5c2"
URL="http://www.iam.unibe.ch/~morgenth/adam"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS=""
##################################################

download_bz2 tunslip &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/tunslip-${VERSION}.tar.bz2 &&
cd tunslip-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

patch_src tunslip &&

${CC} -Os -fPIC -o tunslip tunslip.c &&

install -m 755 tunslip ${INSTALLDIR}/sbin &&

cd ${BUILDDIR} &&
rm -rf tunslip-${VERSION}
